#include <stdio.h>


int
SomeFunc(int a, int b)
{
	printf("%d\n",a+b );
	return  a+b;
}

int
main()
{
	struct SomeStruct{
		int (*func)(int, int);
	};

	struct SomeStruct MyObj = {
			&SomeFunc
	};

	MyObj.func(1, 2);

	MyObj.func(10, 12);

	MyObj.func(0x0a, 0x12);
	return 0;
}
